diff -ruw vlc-snapshot-20050417\include\vlc_keys.h vlc_hotkey_fix\include\vlc_keys.h
--- vlc-snapshot-20050417\include\vlc_keys.h	Sun Apr 17 13:51:06 2005
+++ vlc_hotkey_fix\include\vlc_keys.h	Sun Apr 17 16:07:51 2005
@@ -49,14 +49,16 @@
 #define KEY_F12              0x00120000
 #define KEY_HOME             0x00130000
 #define KEY_END              0x00140000
-#define KEY_MENU             0x00150000
-#define KEY_ESC              0x00160000
-#define KEY_PAGEUP           0x00170000
-#define KEY_PAGEDOWN         0x00180000
-#define KEY_TAB              0x00190000
-#define KEY_BACKSPACE        0x001A0000
-#define KEY_MOUSEWHEELUP     0x001B0000
-#define KEY_MOUSEWHEELDOWN   0x001C0000
+#define KEY_INSERT           0x00150000
+#define KEY_DELETE           0x00160000
+#define KEY_MENU             0x00170000
+#define KEY_ESC              0x00180000
+#define KEY_PAGEUP           0x00190000
+#define KEY_PAGEDOWN         0x001A0000
+#define KEY_TAB              0x001B0000
+#define KEY_BACKSPACE        0x001C0000
+#define KEY_MOUSEWHEELUP     0x001D0000
+#define KEY_MOUSEWHEELDOWN   0x001E0000
 
 #define KEY_ASCII            0x0000007F
 #define KEY_UNSET            0
@@ -101,6 +103,8 @@
     { "F12", KEY_F12 },
     { "Home", KEY_HOME },
     { "End", KEY_END },
+    { "Insert", KEY_INSERT },
+    { "Delete", KEY_DELETE },
     { "Menu", KEY_MENU },
     { "Esc", KEY_ESC },
     { "Page Up", KEY_PAGEUP },
diff -ruw vlc-snapshot-20050417\modules\gui\wxwindows\interface.cpp vlc_hotkey_fix\modules\gui\wxwindows\interface.cpp
--- vlc-snapshot-20050417\modules\gui\wxwindows\interface.cpp	Sun Apr 17 13:50:44 2005
+++ vlc_hotkey_fix\modules\gui\wxwindows\interface.cpp	Sun Apr 17 16:04:22 2005
@@ -621,7 +621,9 @@
         case KEY_F11: return WXK_F11;
         case KEY_F12: return WXK_F12;
         case KEY_HOME: return WXK_HOME;
-        case KEY_END: return WXK_HOME;
+        case KEY_END: return WXK_END;
+        case KEY_INSERT: return WXK_INSERT;
+        case KEY_DELETE: return WXK_DELETE;
         case KEY_MENU: return WXK_MENU;
         case KEY_ESC: return WXK_ESCAPE;
         case KEY_PAGEUP: return WXK_PRIOR;
@@ -653,7 +655,8 @@
         int i_key = ConvertHotkey( p_hotkeys[i].i_key );
 
 #ifdef WIN32
-        if( i_mod ) i_key = toupper(i_key);
+        if(( i_mod ) && (i_key <= CHAR_MAX))
+          i_key = toupper(i_key);
 #endif
 
         p_entries[i].Set( i_mod, i_key,
